Get Specific Post Action

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}

Get specific Post Action for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

  • actionId string Required

    id of the Post Action

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the Post Action

    • entityId string

      id of the Entity that created this Post Action

    • inputRecordSetId string

      Id of the RecordSet for this Post Action

    • actionType string

      action type of the Post Action

    • actionName string

      name of the Post Action

    • version string

      version of the Post Action structure

    • conditions array
    • conditionHelperCode string

      Condition Helper Code

    • conditionExpression string

      Condition Expression

    • action string

      depending of what type of action

    • type string

      type

    • status number

      Currently not used

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/postactions/{actionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "56f2b4a821f04e0ea484dfd4",
  "entityId": "5684058f159fffbe29ff9912",
  "inputRecordSetId": "56f2b48b21f04e0ea484dfd3",
  "actionType": "email",
  "actionName": "email_me",
  "version": "2.1",
  "conditions": [
    {
      "conditionHelperCode": "",
      "conditionExpression": "",
      "action": {
        "connectionId": "56f2b34ca70e0243a2d5846e",
        "emailFrom": "support@gnosiz.com",
        "emailTo": "user@example.com",
        "emailCc": "",
        "emailBcc": "",
        "emailSubject": "hi",
        "emailTemplate": "hi"
      }
    }
  ],
  "type": "POST_ACTION",
  "status": 1
}